RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.TeamRegistrationService Class Reference

## Public Member Functions
void | register (TeamRegistrationObj teamRegistrationObj) throws Exception
void | unregister (int year) throws Exception
List< TeamRegistration > | getAll () throws Exception
void | changeCategory (long id, int year, ECategory category) throws Exception
void | joinCategory (int year, ECategory category, ECategory newCategory) throws Exception

## Detailed Description

Zajistuje registraci tymu do souteze

## Member Function Documentation

## ◆ changeCategory()

void com.robogames.RoboCupMS.Business.Service.TeamRegistrationService.changeCategory | ( | long | id,
|  | int | year,
|  | ECategory | category
| ) |  | throws Exception
| inline

Zmeni kategorii tymu. Jiz neni nijak omezovano vekem a tak je mozne zvolit libovolnou.

Parameters

  id | ID tymu
  year | Rocnik souteze
  category | Nova kategorie, ve ktere bude tym soutezit

Exceptions

  Exception |

## ◆ getAll()

List<TeamRegistration> com.robogames.RoboCupMS.Business.Service.TeamRegistrationService.getAll | ( |  | ) | throws Exception
| inline

Navrati vsechny registrace tymu, ve kterem se uzivatel nachazi (vsehny rocniky, kterych se ucastnil)

Returns
  Seznam vsech registraci

Exceptions

  Exception |

## ◆ joinCategory()

void com.robogames.RoboCupMS.Business.Service.TeamRegistrationService.joinCategory | ( | int | year,
|  | ECategory | category,
|  | ECategory | newCategory
| ) |  | throws Exception
| inline

Slouci dve ruzne kategorie dohromady. Vybere se jedna kategorie a vsichni, kteri jsou v ni registrovani se pridaji k jine zvolene kategorii.

Parameters

  year | Rocnik souteze
  category | Kategorie tymu, ktere se budou presouvat do jine
  newCategory | Kategorie, do ktere se presunou vsechny registrovane tymy z jejich aktualni kategorie

Exceptions

  Exception |

## ◆ register()

void com.robogames.RoboCupMS.Business.Service.TeamRegistrationService.register | ( | TeamRegistrationObj | teamRegistrationObj | ) | throws Exception
| inline

Registruje tym do souteze (registrovat muze pouze vedouci tymu!!!!!)

Parameters

  teamRegistrationObj | Parametry nove registrace tymu

Exceptions

  Exception |

## ◆ unregister()

void com.robogames.RoboCupMS.Business.Service.TeamRegistrationService.unregister | ( | int | year | ) | throws Exception
| inline

Zrusi registraci tymu

Parameters

  year | Rocni souteze

Exceptions

  Exception |

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/TeamRegistrationService.java